Package org.apache.activemq.artemis.jms.server.config.impl

## Class FileJMSConfiguration

- java.lang.Object
- - org.apache.activemq.artemis.jms.server.config.impl.JMSConfigurationImpl
  - - org.apache.activemq.artemis.jms.server.config.impl.FileJMSConfiguration

- All Implemented Interfaces:
    `org.apache.activemq.artemis.core.deployers.Deployable`, `JMSConfiguration`

      public class FileJMSConfiguration
      extends JMSConfigurationImpl
      implements org.apache.activemq.artemis.core.deployers.Deployable

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FileJMSConfiguration()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `buildService​(ActiveMQSecurityManager securityManager, javax.management.MBeanServer mBeanServer, java.util.Map<java.lang.String,​org.apache.activemq.artemis.core.deployers.Deployable> deployables, java.util.Map<java.lang.String,​org.apache.activemq.artemis.core.server.ActiveMQComponent> components, org.apache.activemq.artemis.core.server.ActivateCallback activateCallback)` |
    `java.lang.String` | `getRootElement()` |
    `java.lang.String` | `getSchema()` |
    `boolean` | `isParsed()` |
    `protected void` | `newConfig​(java.util.ArrayList<JMSQueueConfiguration> queues, java.util.ArrayList<TopicConfiguration> topics, java.lang.String domain)` |
    `protected static JMSQueueConfiguration` | `newQueue​(java.lang.String queueName, java.lang.String selectorString, boolean durable)` |
    `protected static TopicConfiguration` | `newTopic​(java.lang.String topicName)` |
    `void` | `parse​(org.w3c.dom.Element config, java.net.URL url)` |
    `void` | `parseConfiguration​(org.w3c.dom.Node rootnode)` | Parse the JMS Configuration XML
    `static JMSQueueConfiguration` | `parseQueueConfiguration​(org.w3c.dom.Node node)` | Parse the Queue Configuration node as a QueueConfiguration object
    `static TopicConfiguration` | `parseTopicConfiguration​(org.w3c.dom.Node node)` | Parse the topic node as a TopicConfiguration object

    - ### Methods inherited from class org.apache.activemq.artemis.jms.server.config.impl.JMSConfigurationImpl

      `getConfigurationUrl, getConnectionFactoryConfigurations, getDomain, getQueueConfigurations, getTopicConfigurations, setConfigurationUrl, setConnectionFactoryConfigurations, setDomain, setQueueConfigurations, setTopicConfigurations`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileJMSConfiguration

          public FileJMSConfiguration()

  - ### Method Detail

    - #### parse

          public void parse​(org.w3c.dom.Element config,
                            java.net.URL url)
                     throws java.lang.Exception

      Specified by:
        `parse` in interface `org.apache.activemq.artemis.core.deployers.Deployable`
      Throws:
        `java.lang.Exception`

    - #### isParsed

          public boolean isParsed()

      Specified by:
        `isParsed` in interface `org.apache.activemq.artemis.core.deployers.Deployable`

    - #### getRootElement

          public java.lang.String getRootElement()

      Specified by:
        `getRootElement` in interface `org.apache.activemq.artemis.core.deployers.Deployable`

    - #### buildService

          public void buildService​(ActiveMQSecurityManager securityManager,
                                   javax.management.MBeanServer mBeanServer,
                                   java.util.Map<java.lang.String,​org.apache.activemq.artemis.core.deployers.Deployable> deployables,
                                   java.util.Map<java.lang.String,​org.apache.activemq.artemis.core.server.ActiveMQComponent> components,
                                   org.apache.activemq.artemis.core.server.ActivateCallback activateCallback)
                            throws java.lang.Exception

      Specified by:
        `buildService` in interface `org.apache.activemq.artemis.core.deployers.Deployable`
      Throws:
        `java.lang.Exception`

    - #### getSchema

          public java.lang.String getSchema()

      Specified by:
        `getSchema` in interface `org.apache.activemq.artemis.core.deployers.Deployable`

    - #### parseConfiguration

          public void parseConfiguration​(org.w3c.dom.Node rootnode)
                                  throws java.lang.Exception

      Parse the JMS Configuration XML
      Throws:
        `java.lang.Exception`

    - #### parseTopicConfiguration

          public static TopicConfiguration parseTopicConfiguration​(org.w3c.dom.Node node)
                                                            throws java.lang.Exception

      Parse the topic node as a TopicConfiguration object
      Parameters:
        `node` -
      Returns:
        topic configuration
      Throws:
        `java.lang.Exception`

    - #### parseQueueConfiguration

          public static JMSQueueConfiguration parseQueueConfiguration​(org.w3c.dom.Node node)
                                                               throws java.lang.Exception

      Parse the Queue Configuration node as a QueueConfiguration object
      Parameters:
        `node` -
      Returns:
        jms queue configuration
      Throws:
        `java.lang.Exception`

    - #### newTopic

          protected static TopicConfiguration newTopic​(java.lang.String topicName)

      Parameters:
        `topicName` -
      Returns:

    - #### newQueue

          protected static JMSQueueConfiguration newQueue​(java.lang.String queueName,
                                                          java.lang.String selectorString,
                                                          boolean durable)

      Parameters:
        `queueName` -
        `selectorString` -
        `durable` -
      Returns:

    - #### newConfig

          protected void newConfig​(java.util.ArrayList<JMSQueueConfiguration> queues,
                                   java.util.ArrayList<TopicConfiguration> topics,
                                   java.lang.String domain)

      Parameters:
        `queues` -
        `topics` -
        `domain` -